Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema
Class MappedGeometryPropertyType

    java.lang.Object
      org.deegree.model.feature.schema.AbstractPropertyType
          org.deegree.model.feature.schema.ComplexPropertyType
              org.deegree.model.feature.schema.GeometryPropertyType
                  org.deegree.io.datastore.schema.MappedGeometryPropertyType

All Implemented Interfaces:
  MappedPropertyType, PropertyType

    public class MappedGeometryPropertyType

extends GeometryPropertyType
implements MappedPropertyType

Representation of property types that contain spatial data with mapping (persistence) information.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.model.feature.schema.ComplexPropertyType
`typeName`

Constructor Summary
`MappedGeometryPropertyType(QualifiedName name, QualifiedName typeName, int type, int minOccurs, int maxOccurs, boolean isIdentityPart, URI srs, TableRelation[] tableRelations, MappingGeometryField mappingField)` Constructs a new instance of `MappedGeometryPropertyType` from the given parameters.

Method Summary
`CoordinateSystem` | `getCS()` Returns the `CoordinateSystem` of the property's geometry content.
`MappingGeometryField` | `getMappingField()` Returns the `MappingField` that stores the geometry information.
`URI` | `getSRS()` Returns the SRS of the property's geometry content.
`TableRelation[]` | `getTableRelations()` Returns the path of `TableRelation`s that describe how to get to the table where the content is stored.
`boolean` | `isIdentityPart()` Returns whether this property has to be considered when two instances of the parent feature are checked for equality.

Methods inherited from class org.deegree.model.feature.schema.ComplexPropertyType
`getTypeName`

Methods inherited from class org.deegree.model.feature.schema.AbstractPropertyType
`equals, getMaxOccurs, getMinOccurs, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.model.feature.schema.PropertyType
`getMaxOccurs, getMinOccurs, getName, getType`

Constructor Detail

### MappedGeometryPropertyType

    public MappedGeometryPropertyType(QualifiedName name,
                                      QualifiedName typeName,
                                      int type,
                                      int minOccurs,
                                      int maxOccurs,
                                      boolean isIdentityPart,
                                      URI srs,
                                      TableRelation[] tableRelations,
                                      MappingGeometryField mappingField)
                               throws UnknownCRSException

  Constructs a new instance of `MappedGeometryPropertyType` from the given parameters.

  Parameters:
    `name` -
    `typeName` -
    `type` -
    `minOccurs` -
    `maxOccurs` -
    `isIdentityPart` -
    `srs` -
    `tableRelations` -
    `mappingField` -
  Throws:
    `UnknownCRSException`

Method Detail

### isIdentityPart

    public boolean isIdentityPart()

  Returns whether this property has to be considered when two instances of the parent feature are checked for equality.

  Specified by:
    `isIdentityPart` in interface `MappedPropertyType`
  Returns:
    true, if this property is part of the feature's identity, false otherwise

### getSRS

    public URI getSRS()

  Returns the SRS of the property's geometry content.

  Returns:
    the SRS of the property's geometry content

### getCS

    public CoordinateSystem getCS()

  Returns the `CoordinateSystem` of the property's geometry content.

  Returns:
    the coordinate system of the property's geometry content

### getTableRelations

    public TableRelation[] getTableRelations()

  Returns the path of `TableRelation`s that describe how to get to the table where the content is stored.

  Specified by:
    `getTableRelations` in interface `MappedPropertyType`
  Returns:
    path of TableRelations, may be null

### getMappingField

    public MappingGeometryField getMappingField()

  Returns the `MappingField` that stores the geometry information.

  Returns:
    the MappingField that stores the geometry information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org